#!/usr/bin/env bash

set -e

pushd "$LINUX_RT_PREEMPT_6_5"

# There might be left-over files from previous builds which make the build not idempotent.  Thus,
# try deleting it if it is there.
rm vmlinux-gdb.py || true

echo "Running with $BUILD_JOB_NUMBER jobs"
make bindeb-pkg -j "$BUILD_JOB_NUMBER"

popd
