from armarx_setup import __version__


def test_version():
    version_parts = __version__.split(".")

    assert len(version_parts) == 4, \
        "The version is supposed to consist of 4 parts: 'YY.MM.R.P'."
    assert len(version_parts[0]) == 2, \
        "First part of version is supposed to be YY."
    assert len(version_parts[1]) == 2, \
        "Second part of version is supposed to be MM."
