"""Global Axii variables."""

__version__ = "25.04.1.0"

import os

from rich.console import Console

SOURCES_ROOT = os.path.dirname(os.path.abspath(__file__))
PACKAGE_ROOT, APP_NAME = os.path.split(SOURCES_ROOT)

RELEASE_CHANNEL_STABLE = "stable"
RELEASE_CHANNEL_UNSTABLE = "main"

assert os.path.join(PACKAGE_ROOT, APP_NAME) == SOURCES_ROOT, \
    (f"\nSOURCES_ROOT: \t{SOURCES_ROOT}"
     f"\nPACKAGE_ROOT: \t{PACKAGE_ROOT}"
     f"\nAPP_NAME: \t{APP_NAME}\n")

# The root path of the git repository.
os.environ["ARMARX_SETUP"] = PACKAGE_ROOT

console = Console()
error_console = Console(stderr=True)
