#!/usr/bin/env bash

set -e

patch_file_name="patch-5.4.257-rt87.patch"
patch_file="$MODULE_PATH/$patch_file_name/$patch_file_name"
patch_applied_file_name="applied_$patch_file_name"

pushd "$LINUX_RT_PREEMPT_5_4"

if [ ! -f "$patch_applied_file_name" ]; then
  patch --strip 1 --force --input="$patch_file" && echo "Patch '$patch_file' has been applied on $(date)" > "$patch_applied_file_name"
else
  cat "$patch_applied_file_name"
fi

popd
