#!/bin/bash

set -e

source_dir="$MODULE_PATH/Python-3.10.0"
install_dir="$MODULE_PATH/install"

cd "$source_dir"

_axii_run_once ./configure Makefile --enable-optimizations --enable-shared --prefix="$install_dir" LDFLAGS=-Wl,-rpath="$install_dir/lib"
_axii_run_once make python
_axii_run_once make "$install_dir" install
